## ros-lunar-pr2-app-manager 0.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pr2_app_manager)
find_package(catkin REQUIRED COMPONENTS)

catkin_package(
    DEPENDS # TODO
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

install(PROGRAMS scripts/control.py scripts/install_applications.sh
 DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY mock_apps launch
 DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-lunar-pr2-app-manager (0.6.1-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 26 Sep 2018 00:00:00 -0000

ros-lunar-pr2-app-manager (0.6.0-0stretch) stretch; urgency=high

  * Merge pull request #15 <https://github.com/pr2/pr2_apps/issues/15> from k-okada/remove_build_depend
    we do not need any package during build process
  * Merge pull request #29 <https://github.com/pr2/pr2_apps/issues/29> from k-okada/kinetic-devel
    Kinetic devel
  * Merge pull request #30 <https://github.com/pr2/pr2_apps/issues/30> from k-okada/orph
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Merge branch 'hydro-devel' into kinetic-devel
  * we do not need any package during build process
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 14 Feb 2018 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.20-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 05 May 2015 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.19-0stretch) stretch; urgency=high

  * added changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 29 Apr 2015 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.18-0stretch) stretch; urgency=high

  * Merge branch 'hydro-devel' of https://github.com/PR2/pr2_apps into hydro-devel
  * Updated maintainership
  * fix install destination
  * Contributors: Furushchev, TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 10 Feb 2015 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.16-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 06 Feb 2015 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.15-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 28 Jan 2015 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.14-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Thu, 20 Nov 2014 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.13-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 18 Nov 2014 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.12-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 17 Nov 2014 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.11-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 20 Oct 2014 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.10-0stretch) stretch; urgency=high

  * Removed include dependency
  * Removed use_source_permissions
  * Fixed pr2_app_manager install
  * Changelogs
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Fri, 17 Oct 2014 00:00:00 -0000

ros-lunar-pr2-app-manager (0.5.9-0stretch) stretch; urgency=high

  * Updated pr2_app_manager, now compiles in hydro
  * Updated pr2_app_manager
  * Added pr2_app_manager package
  * Contributors: TheDash

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Wed, 01 Oct 2014 00:00:00 -0000

=== debian/control ===
Source: ros-lunar-pr2-app-manager
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin
Homepage: http://ros.org/wiki/application_manager
Standards-Version: 3.9.2

Package: ros-lunar-pr2-app-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-app-manager, ros-lunar-willow-maps
Description: Scripts and tools for running the application manager on the PR2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pr2-app-manager//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
